# Interface IHiddenRulesHelper

public interface IHiddenRulesHelper

Author:
  Pavel Savara (original)

## Method Summary

Modifier and Type
Method
Description
`BattleRules`
`createRules(int battlefieldWidth, int battlefieldHeight, int numRounds, double gunCoolingRate, long inactivityTime, boolean hideEnemyNames, int sentryBorderSizes)`

## Method Details

### createRules

BattleRules createRules(int battlefieldWidth, int battlefieldHeight, int numRounds, double gunCoolingRate, long inactivityTime, boolean hideEnemyNames, int sentryBorderSizes)